unit uMTF2SS;

interface

uses
   SysUtils, Forms,  Dialogs, Grids, clipbrd, ExtCtrls, ComCtrls, StdCtrls, Controls, Classes;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    StringGrid1: TStringGrid;
    Memo1: TMemo;
    Panel1: TPanel;
    bOpen: TButton;
    bCopy: TButton;
    ProgressBar1: TProgressBar;
    procedure bOpenClick(Sender: TObject);
    procedure bCopyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.bOpenClick(Sender: TObject);
var i,t: integer;
begin
  if OpenDialog1.Execute then with stringgrid1 do
  begin
   ColCount:=OpenDialog1.Files.Count;
   for i:= 0 to OpenDialog1.Files.Count -1 do
     begin
      if Colcount>1 then ProgressBar1.Position:=i*100 div (colcount-1);
      Cells[i,0]:=ExtractFileName(OpenDialog1.Files.Strings[i]);
      Memo1.Lines.LoadFromFile(OpenDialog1.Files.Strings[i]);
      if memo1.Lines.Count>rowcount then rowcount:=memo1.Lines.Count;
      for t:=1 to Memo1.Lines.Count do
      begin
        Cells[i,t]:=Memo1.Lines.Strings[t];
      end;
     end;
  end
end;

procedure TForm1.bCopyClick(Sender: TObject);
var
 i,t : integer;
 s,st: string;
begin
   with stringgrid1 do
   begin
     st:='';
     For t :=0 to rowcount do
     begin
     s:=cells[0,t];
      for i :=1 to colcount-1 do
      begin
       s:=s+#9+cells[i,t];
      end;
     st:=st+s+#13+#10;
     end;
   end;
   Clipboard.AsText:=st;
   memo1.Text:=st;
end;

end.
